Import a native ChatGPT attachment
curl --request POST \
--url https://app.factorize.sh/api/v1/proxy-payloads/attachment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": {
"download_url": "<string>",
"file_id": "<string>",
"mime_type": "<string>",
"file_name": "<string>"
}
}
'import requests
url = "https://app.factorize.sh/api/v1/proxy-payloads/attachment"
payload = { "file": {
"download_url": "<string>",
"file_id": "<string>",
"mime_type": "<string>",
"file_name": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file: {
download_url: '<string>',
file_id: '<string>',
mime_type: '<string>',
file_name: '<string>'
}
})
};
fetch('https://app.factorize.sh/api/v1/proxy-payloads/attachment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/proxy-payloads/attachment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => [
'download_url' => '<string>',
'file_id' => '<string>',
'mime_type' => '<string>',
'file_name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/proxy-payloads/attachment"
payload := strings.NewReader("{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/proxy-payloads/attachment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/proxy-payloads/attachment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mediaType": "<string>",
"size": 0,
"state": "pending",
"sha256": "<string>",
"expiresAt": "<string>",
"uploadUrl": "<string>",
"browserUploadUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}proxy-payloads
Import a native ChatGPT attachment
Accepts documented OpenAI file parameters. Temporary signed URLs are never returned; imports require trusted public HTTPS file origins and disallow redirects.
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
POST
/
api
/
v1
/
proxy-payloads
/
attachment
Import a native ChatGPT attachment
curl --request POST \
--url https://app.factorize.sh/api/v1/proxy-payloads/attachment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": {
"download_url": "<string>",
"file_id": "<string>",
"mime_type": "<string>",
"file_name": "<string>"
}
}
'import requests
url = "https://app.factorize.sh/api/v1/proxy-payloads/attachment"
payload = { "file": {
"download_url": "<string>",
"file_id": "<string>",
"mime_type": "<string>",
"file_name": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file: {
download_url: '<string>',
file_id: '<string>',
mime_type: '<string>',
file_name: '<string>'
}
})
};
fetch('https://app.factorize.sh/api/v1/proxy-payloads/attachment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/proxy-payloads/attachment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => [
'download_url' => '<string>',
'file_id' => '<string>',
'mime_type' => '<string>',
'file_name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/proxy-payloads/attachment"
payload := strings.NewReader("{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/proxy-payloads/attachment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/proxy-payloads/attachment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": {\n \"download_url\": \"<string>\",\n \"file_id\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"file_name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mediaType": "<string>",
"size": 0,
"state": "pending",
"sha256": "<string>",
"expiresAt": "<string>",
"uploadUrl": "<string>",
"browserUploadUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Response
Imported file handle